module.exports = {
    root: true,
    extends: [
        "plugin:react/recommended",
        "eslint:recommended",
        "plugin:@typescript-eslint/eslint-recommended",
        "plugin:@typescript-eslint/recommended",
        "plugin:@typescript-eslint/recommended-requiring-type-checking"
    ],
    parser: "@typescript-eslint/parser",
    parserOptions: {
        ecmaFeatures: {
            jsx: true
        },
        ecmaVersion: 5,
        tsconfigRootDir: __dirname + "/src",
        project: [
            "tsconfig.eslint.json",
            "*/tsconfig.json"
        ]
    },
    plugins: [
        "react",
        "@typescript-eslint"
    ],
    rules: {
        "react/react-in-jsx-scope": "off",
        "react/no-unknown-property": "off",
        "@typescript-eslint/no-empty-function": "off",
        "max-classes-per-file": [
            "error",
            { "ignoreExpressions": true, "max": 1 }
        ],
        "@typescript-eslint/prefer-readonly": ["error"],
        "semi": "off",
        "@typescript-eslint/semi": ["error"],
        "react/jsx-key": "off"
    }
}
