import { Contact } from "./Contact";
import { QueryResults } from "@implab/djx/store";

export type AppointmentRole = "organizer" | "speaker" | "participant";

export interface Member extends Contact {
    role: AppointmentRole;
}

export interface Appointment {
    id: string;
    
    title: string;

    startAt: Date;

    /** Duration in minutes */
    duration: number;

    getMembers(role?: AppointmentRole): QueryResults<Member>;
}